//Shaders for Foo3DM4 - Gloves Off
//Mostly cut-down from the shader file shipped with evil_lairs DSI texture set
//Foo 2022

textures/foo3dm4/tmpjp
{
	qer_editorimage textures/foo3dm4/tmpjp.tga
	q3map_lightimage textures/foo3dm4/tmpjp.blend.tga
	q3map_surfacelight 1000
	{
		map textures/foo3dm4/tmpjp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/foo3dm4/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
}


textures/foo3dm4/steplight1
{
	qer_editorimage textures/foo3dm4/steplight1.tga
	q3map_lightimage textures/foo3dm4/steplight1.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 2000
	{
		map textures/foo3dm4/steplight1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/foo3dm4/steplight1.blend.tga
		blendfunc add
	}
}


textures/foo3dm4/tlight
{
	qer_editorimage textures/foo3dm4/tlight.tga
	q3map_lightimage textures/foo3dm4/tlight.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 8
	q3map_surfacelight 5000
	{
		map textures/foo3dm4/tlight.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/foo3dm4/tlight.blend.tga
		blendfunc add
	}
}


textures/foo3dm4/cretelighttrim01
{
	qer_editorimage textures/foo3dm4/cretelighttrim01.tga
	q3map_lightimage textures/foo3dm4/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 2500
	{
		map textures/foo3dm4/cretelighttrim01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/foo3dm4/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/foo3dm4/cretetrimlight3b
{
	qer_editorimage textures/foo3dm4/cretetrimlight3b.tga
	q3map_lightimage textures/foo3dm4/cretelighttrim3.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 16
	q3map_surfacelight 2500
	{
		map textures/foo3dm4/cretetrimlight3b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/foo3dm4/cretelighttrim3.blend.tga
		blendfunc add
	}
}

// Teleporter Surface

textures/foo3dm4/portal_surface
{
	portal
	surfaceparm nolightmap
	surfaceparm noimpact
	qer_editorimage textures/common/qer_portal.tga
	q3map_surfacelight 4000
	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 512
		depthWrite
	}
}

textures/foo3dm4/portal_surface_nowarp
{
	portal
	surfaceparm nolightmap
	surfaceparm noimpact
	qer_editorimage textures/common/qer_portal.tga
	q3map_surfacelight 4000
	{
		map textures/foo3dm4/portal_stop.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 64
		depthWrite
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 512
		depthWrite
	}
}

// Violent Days skybox by Hipshot
// Tweaked shader from the Ultimate Skybox Pack by Ghost and Garux (FM/AM)

textures/foo3dm4/sky 
{
	qer_editorImage textures/foo3dm4/hip_violent/violentdays.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 100 315 40 2 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/foo3dm4/hip_violent/violentdays - -
}

// Item Stripes

textures/foo3dm4/stripe1
{
	qer_editorimage textures/foo3dm4/red.tga
	q3map_lightimage textures/foo3dm4/red.tga
	q3map_surfacelight 1500
	{
		map textures/foo3dm4/red.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/foo3dm4/stripe2
{
	qer_editorimage textures/foo3dm4/yellow.tga
	q3map_lightimage textures/foo3dm4/yellow.tga
	q3map_surfacelight 1500
	{
		map textures/foo3dm4/yellow.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/foo3dm4/stripe3
{
	qer_editorimage textures/foo3dm4/green.tga
	q3map_lightimage textures/foo3dm4/green.tga
	q3map_surfacelight 1500
	{
		map textures/foo3dm4/green.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}